Bug 148871 - CAN-2005-0373 buffer overflow in cyrus-sasl digest-md5 plugin
CAN-2005-0373 buffer overflow in cyrus-sasl digest-md5 plugin
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cyrus-sasl (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-16 09:39 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 12:10:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-16 09:39:01 EST
Buffer overflow in digestmda5.c in Cyrus-SASL before 2.1.18-r1 allows remote
attackers to execute arbitrary code.
       
https://bugzilla.andrew.cmu.edu/cgi-bin/cvsweb.cgi/src/sasl/plugins/digestmd5.c.diff?r1=1.167&r2=1.172

I'm not entirely sure of the real impact of this issue since I don't completely
understand the usage of cyrus-sasl.

This issue may also affect RHEL2.1
Comment 1 Nalin Dahyabhai 2005-02-22 15:20:27 EST
Almost certainly a false alarm, per
http://www.irbs.net/internet/cyrus-sasl/0408/0059.html
Comment 2 Josh Bressers 2005-02-24 10:25:01 EST
Nalin,

I'm inclined to agree.  Here is the CVS commit in question:
https://bugzilla.andrew.cmu.edu/cgi-bin/cvsweb.cgi/src/sasl/plugins/digestmd5.c?rev=1.171&content-type=text/x-cvsweb-markup

After looking over our code, and that code, we're fine.

If you agree, please close this as not a bug.
Comment 3 Nalin Dahyabhai 2005-02-24 12:10:47 EST
Thanks Josh, will do.

Note You need to log in before you can comment on or make changes to this bug.